Subject: Re: Source code for "cp" Command
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Tue, 18 Jan 2005 15:54:44 -0800

"Waters, Bill" wrote:

> I want to get source code for "cp" (the command line copy function).  Do I need to go through CVS for this?  (http://cygwin.com/cvs.html)  I didn't want to install CVS if I don't have to.

The cp command is part of the coreutils package.  Get the coreutils
source package which includes the upstream source plus patches specific
to Cygwin.

> Will the executable created from the source for "cp" run standalone?  Or is it dependant on some of the dll's in the bin directory or something like that?

$ cygcheck cp
Found: C:\cygwin\bin\cp.exe
C:/cygwin/bin/cp.exe
  C:\cygwin\bin\cygwin1.dll
    C:\WINXP\System32\ADVAPI32.DLL
      C:\WINXP\System32\ntdll.dll
      C:\WINXP\System32\KERNEL32.dll
      C:\WINXP\System32\RPCRT4.dll
  C:\cygwin\bin\cygintl-3.dll
    C:\cygwin\bin\cygiconv-2.dll

So yes, it will require several cygwin DLLs.  This is the case with
every Cygwin program, so you should not be surprised.  If you want
standalone programs that are not reliant on the Cygwin environment then
you should look elsewhere, like the MinGW project.  Common utils like cp
and mv have been ported by other projects as standalone programs.  Check
sourceforge or google.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/